#
# Copyright (c) 2021-2025 ahriman team.
#
# This file is part of ahriman
# (see https://github.com/arcan1s/ahriman).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
from enum import StrEnum


class LogHandler(StrEnum):
    """
    log handler as described by default configuration

    Attributes:
        Console(LogHandler): write logs to console
        Syslog(LogHandler): write logs to syslog device /dev/null
        Journald(LogHandler): write logs to journald directly
    """

    Console = "console"
    Syslog = "syslog"
    Journald = "journald"
